package yb_pdf

import "time"

// YbPdf 研报PDF
type YbPdf struct {
	PdfID        int       `gorm:"primaryKey;column:pdf_id;type:int(10) unsigned;not null" json:"pdf_id"`
	PdfName      string    `gorm:"column:pdf_name;type:varchar(255);not null;default:''" json:"pdf_name"`            // PDF名称
	PdfURL       string    `gorm:"column:pdf_url;type:varchar(255);not null;default:''" json:"pdf_url"`              // PDF地址
	ShareURL     string    `gorm:"column:share_url;type:varchar(255);not null;default:''" json:"share_url"`          // 分享地址
	IsDeleted    int       `gorm:"column:is_deleted;type:tinyint(4) unsigned;not null;default:0" json:"-"`           // 删除状态：0-正常；1-已删除
	SysAdminID   int       `gorm:"column:sys_admin_id;type:int(10) unsigned;not null;default:0" json:"sys_admin_id"` // 创建人ID
	SysAdminName string    `gorm:"column:sys_admin_name;type:varchar(64);not null;default:''" json:"sys_admin_name"` // 创建人姓名
	CreateTime   time.Time `gorm:"column:create_time;type:datetime" json:"create_time"`                              // 创建时间
	ModifyTime   time.Time `gorm:"column:modify_time;type:datetime" json:"modify_time"`                              // 更新时间
}

// TableName get sql table name.获取数据库表名
func (m *YbPdf) TableName() string {
	return "yb_pdf"
}
